#
# spec file for package iso_ent (Version 2000.11.03)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         iso_ent
Copyright: unknown
Group: Applications/Publishing
BuildArchitectures: noarch
Provides: iso-ent iso-entities 
Autoreqprov:  on
Version:      2000.11.03
Release:      122
Summary:      Character Entity Sets for ISO 8879:1986
BuildRoot: /var/tmp/iso_ent-root
%define ke_pkg ISOEnts.zip
Source0: http://www.oasis-open.org/cover/ISOEnts.zip
Source1: ISOgrk5.gz
Patch: iso_ent.dif

%description
Character Entity Sets for ISO 8879:1986

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -n $RPM_PACKAGE_NAME -c -T
unzip -aq $RPM_SOURCE_DIR/%{ke_pkg}
cp -p $RPM_SOURCE_DIR/ISOgrk5.gz .
gunzip ISOgrk5.gz
%patch0 -p1

%build

%install
root=$RPM_BUILD_ROOT
sgml_dir=${root}%{_datadir}/sgml
sgml_dir_config=${root}/var/lib/sgml
sgml_dir_iso=${sgml_dir}/iso-ent
sgml_dir_ISO=${sgml_dir}/ISO_8879:1986/entities
%{INSTALL_DIR} ${sgml_dir_config}
%{INSTALL_DIR} ${sgml_dir}/iso-ent
%{INSTALL_DIR} ${sgml_dir}/{ISO_8879:1986,ISO_9573-15:1993}/entities
%{INSTALL_DATA} ISO* ${sgml_dir}/iso-ent
%{INSTALL_DATA} CATALOG ${sgml_dir_config}/CATALOG.iso_ent
pushd $sgml_dir
ln -sf ../../../var/lib/sgml/CATALOG.iso_ent CATALOG.iso_ent
rm -f ISO_8879-1986 
ln -s ISO_8879:1986 ISO_8879-1986
popd
pushd ${sgml_dir_ISO}
rm -f * 2>/dev/null
ln -s ../../iso-ent/ISOamsa Added_Math_Symbols:_Arrow_Relations
ln -s ../../iso-ent/ISOamsb Added_Math_Symbols:_Binary_Operators
ln -s ../../iso-ent/ISOamsc Added_Math_Symbols:_Delimiters
ln -s ../../iso-ent/ISOamsn Added_Math_Symbols:_Negated_Relations
ln -s ../../iso-ent/ISOamso Added_Math_Symbols:_Ordinary
ln -s ../../iso-ent/ISOamsr Added_Math_Symbols:_Relations
ln -s ../../iso-ent/ISObox Box_and_Line_Drawing
ln -s ../../iso-ent/ISOcyr1 Russian_Cyrillic
ln -s ../../iso-ent/ISOcyr2 Non-Russian_Cyrillic
ln -s ../../iso-ent/ISOdia Diacritical_Marks
ln -s ../../iso-ent/ISOgrk1 Greek_Letters
ln -s ../../iso-ent/ISOgrk2 Monotoniko_Greek
ln -s ../../iso-ent/ISOgrk3 Greek_Symbols
ln -s ../../iso-ent/ISOgrk4 Alternative_Greek_Symbols
ln -s ../../iso-ent/ISOlat1 Added_Latin_1
ln -s ../../iso-ent/ISOlat2 Added_Latin_2
ln -s ../../iso-ent/ISOnum Numeric_and_Special_Graphic
ln -s ../../iso-ent/ISOpub Publishing
ln -s ../../iso-ent/ISOtech General_Technical
popd
pushd ${sgml_dir}
rm -f ISO_9573-15-1993
ln -s ISO_9573-15:1993 ISO_9573-15-1993
popd
pushd ${sgml_dir}/ISO_9573-15:1993/entities
rm -f * 2>/dev/null
ln -s ../../iso-ent/ISOgrk5 Extra_Classical_Greek_Letters
popd
export RPM_BUILD_ROOT

%clean
# rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
# %doc README.SuSE
%config /var/lib/sgml/CATALOG.iso_ent
%{_datadir}/sgml/CATALOG.iso_ent
%{_datadir}/sgml/iso-ent
%{_datadir}/sgml/ISO_8879-1986
%{_datadir}/sgml/ISO_8879:1986
%{_datadir}/sgml/ISO_9573-15:1993
%{_datadir}/sgml/ISO_9573-15-1993
# iso_ent.spec ends here

%changelog -n iso_ent
* Fri Nov 03 2000 - ke@suse.de
- Add lost ISOgrk5 (bug #4212).
- Mor spec file macros.
* Thu Aug 17 2000 - ke@suse.de
- Added_Latin_1 has to point to ISOlat1 (not ISOLat1) and Added_Latin_2
  to ISOlat2 (not ISOLat2).
* Fri Jun 23 2000 - ke@suse.de
- General cleanup.
- Use date string as version number.
- Now, it's noarch.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 16 1998 - ke@suse.de
- Provide a maybe useful link /usr/share/sgml/CATALOG.iso_ent.
* Mon Jun 15 1998 - ke@suse.de
- Install CATALOG as /var/lib/sgml/CATALOG.iso_ent.
* Sun Mar 15 1998 - ke@suse.de
- Add CATALOG file.
- Provide a link for ISOgrk5.
* Sat Oct 25 1997 - ke@suse.de
- Make Makefile.Linux and friends obsolete.
- Don't escape `:' in file names of the %%files list.
* Wed Oct 08 1997 - Karl Eichwalder <ke@suse.de>
  * correct %%install section.
* Mon Jun 30 1997 - Karl Eichwalder <ke@suse.de>
  * initial package.
